DEV: upgrade Rails to version 5.2.2

DEV: upgrade Rails to version 5.2.2
From fcb3f1e2195e57ce1aeb32648f36aab0b6ed790c Mon Sep 17 00:00:00 2001
From: Sam <sam.saffron@gmail.com>
Date: Mon, 10 Dec 2018 11:29:18 +1100
Subject: [PATCH] DEV: upgrade Rails to version 5.2.2


diff --git a/Gemfile b/Gemfile
index 792a11c..1f342da 100644
--- a/Gemfile
+++ b/Gemfile
@@ -13,13 +13,15 @@ if rails_master?
   gem 'rails', git: 'https://github.com/rails/rails.git'
   gem 'seed-fu', git: 'https://github.com/SamSaffron/seed-fu.git', branch: 'discourse'
 else
-  gem 'actionmailer', '5.2'
-  gem 'actionpack', '5.2'
-  gem 'actionview', '5.2'
-  gem 'activemodel', '5.2'
-  gem 'activerecord', '5.2'
-  gem 'activesupport', '5.2'
-  gem 'railties', '5.2'
+  # until rubygems gives us optional dependencies we are stuck with this
+  # bundle update actionmailer actionpack actionview activemodel activerecord activesupport railties
+  gem 'actionmailer', '5.2.2'
+  gem 'actionpack', '5.2.2'
+  gem 'actionview', '5.2.2'
+  gem 'activemodel', '5.2.2'
+  gem 'activerecord', '5.2.2'
+  gem 'activesupport', '5.2.2'
+  gem 'railties', '5.2.2'
   gem 'sprockets-rails'
   gem 'seed-fu'
 end
diff --git a/Gemfile.lock b/Gemfile.lock
index 78de3e3..391b8df 100644
--- a/Gemfile.lock
+++ b/Gemfile.lock
@@ -1,37 +1,37 @@
 GEM
   remote: https://rubygems.org/
   specs:
-    actionmailer (5.2.0)
-      actionpack (= 5.2.0)
-      actionview (= 5.2.0)
-      activejob (= 5.2.0)
+    actionmailer (5.2.2)
+      actionpack (= 5.2.2)
+      actionview (= 5.2.2)
+      activejob (= 5.2.2)
       mail (~> 2.5, >= 2.5.4)
       rails-dom-testing (~> 2.0)
-    actionpack (5.2.0)
-      actionview (= 5.2.0)
-      activesupport (= 5.2.0)
+    actionpack (5.2.2)
+      actionview (= 5.2.2)
+      activesupport (= 5.2.2)
       rack (~> 2.0)
       rack-test (>= 0.6.3)
       rails-dom-testing (~> 2.0)
       rails-html-sanitizer (~> 1.0, >= 1.0.2)
-    actionview (5.2.0)
-      activesupport (= 5.2.0)
+    actionview (5.2.2)
+      activesupport (= 5.2.2)
       builder (~> 3.1)
       erubi (~> 1.4)
       rails-dom-testing (~> 2.0)
       rails-html-sanitizer (~> 1.0, >= 1.0.3)
     active_model_serializers (0.8.4)
       activemodel (>= 3.0)
-    activejob (5.2.0)
-      activesupport (= 5.2.0)
+    activejob (5.2.2)
+      activesupport (= 5.2.2)
       globalid (>= 0.3.6)
-    activemodel (5.2.0)
-      activesupport (= 5.2.0)
-    activerecord (5.2.0)
-      activemodel (= 5.2.0)
-      activesupport (= 5.2.0)
+    activemodel (5.2.2)
+      activesupport (= 5.2.2)
+    activerecord (5.2.2)
+      activemodel (= 5.2.2)
+      activesupport (= 5.2.2)
       arel (>= 9.0)
-    activesupport (5.2.0)
+    activesupport (5.2.2)
       concurrent-ruby (~> 1.0, >= 1.0.2)
       i18n (>= 0.7, < 2)
       minitest (~> 5.1)
@@ -83,7 +83,7 @@ GEM
       open4 (~> 1.3)
     coderay (1.1.2)
     colored2 (3.1.2)
-    concurrent-ruby (1.0.5)
+    concurrent-ruby (1.1.3)
     connection_pool (2.2.2)
     cork (0.3.0)
       colored2 (~> 3.1)
@@ -158,7 +158,7 @@ GEM
     hkdf (0.3.0)
     htmlentities (4.3.4)
     http_accept_language (2.0.5)
-    i18n (1.0.1)
+    i18n (1.1.1)
       concurrent-ruby (~> 1.0)
     image_size (1.5.0)
     in_threads (1.5.0)
@@ -197,7 +197,7 @@ GEM
       rack (>= 1.1.3)
     metaclass (0.0.4)
     method_source (0.8.2)
-    mini_mime (1.0.0)
+    mini_mime (1.0.1)
     mini_portile2 (2.3.0)
     mini_racer (0.2.3)
       libv8 (>= 6.3)
@@ -294,7 +294,7 @@ GEM
       ruby-openid (>= 2.1.8)
     rack-protection (2.0.3)
       rack
-    rack-test (1.0.0)
+    rack-test (1.1.0)
       rack (>= 1.0, < 3)
     rails-dom-testing (2.0.3)
       activesupport (>= 4.2.0)
@@ -304,15 +304,15 @@ GEM
     rails_multisite (2.0.4)
       activerecord (> 4.2, < 6)
       railties (> 4.2, < 6)
-    railties (5.2.0)
-      actionpack (= 5.2.0)
-      activesupport (= 5.2.0)
+    railties (5.2.2)
+      actionpack (= 5.2.2)
+      activesupport (= 5.2.2)
       method_source
       rake (>= 0.8.7)
-      thor (>= 0.18.1, < 2.0)
+      thor (>= 0.19.0, < 2.0)
     rainbow (3.0.0)
     raindrops (0.19.0)
-    rake (12.3.1)
+    rake (12.3.2)
     rake-compiler (1.0.4)
       rake
     rb-fsevent (0.10.3)
@@ -443,13 +443,13 @@ PLATFORMS
   ruby
 
 DEPENDENCIES
-  actionmailer (= 5.2)
-  actionpack (= 5.2)
-  actionview (= 5.2)
+  actionmailer (= 5.2.2)
+  actionpack (= 5.2.2)
+  actionview (= 5.2.2)
   active_model_serializers (~> 0.8.3)
-  activemodel (= 5.2)
-  activerecord (= 5.2)
-  activesupport (= 5.2)
+  activemodel (= 5.2.2)
+  activerecord (= 5.2.2)
+  activesupport (= 5.2.2)
   annotate
   aws-sdk-s3
   barber
@@ -522,7 +522,7 @@ DEPENDENCIES
   rack-mini-profiler
   rack-protection
   rails_multisite
-  railties (= 5.2)
+  railties (= 5.2.2)
   rake
   rb-fsevent
   rb-inotify (~> 0.9)

GitHub

1 Like